# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2018-09-16 18:50
from __future__ import unicode_literals

from django.db import migrations


def transfer_prosfel_data_to_potfellowship(apps, schema_editor):
    ProspectiveFellow = apps.get_model('colleges', 'ProspectiveFellow')
    PotentialFellowship = apps.get_model('colleges', 'PotentialFellowship')
    Profile = apps.get_model('profiles', 'Profile')
    ProspectiveFellowEvent = apps.get_model('colleges', 'ProspectiveFellowEvent')
    PotentialFellowshipEvent = apps.get_model('colleges', 'PotentialFellowshipEvent')

    for prosfel in ProspectiveFellow.objects.all():
        profile = Profile(
            title=prosfel.title,
            first_name=prosfel.first_name,
            last_name=prosfel.last_name,
            email=prosfel.email,
            discipline=prosfel.discipline,
            expertises=prosfel.expertises,
            webpage=prosfel.webpage
            )
        profile.save()
        potfel = PotentialFellowship(profile=profile)
        potfel.save()

        for event in prosfel.prospectivefellowevent_set.all():
            newevent = PotentialFellowshipEvent(
                potfel=potfel,
                event=event.event,
                comments=event.comments,
                noted_on=event.noted_on,
                noted_by=event.noted_by,
                )
            newevent.save()


class Migration(migrations.Migration):

    dependencies = [
        ('colleges', '0007_potentialfellowship_potentialfellowshipevent'),
        ('profiles', '0002_auto_20180916_1643'),
    ]

    operations = [
        migrations.RunPython(transfer_prosfel_data_to_potfellowship,
                             reverse_code=migrations.RunPython.noop),
    ]
